#!/bin/awk -f
BEGIN {
  T=0;
}
# timestamp -> seconds
# [2011-05-28/08:07:43]
function seconds(ts)
{
  s = 0;
  n = split(ts, t, "/");
  if (n != 2) { return -1; }
  n = split(t[2], a, ":");
  if (n == 3) {
    s = a[3] + a[2] * 60 + a[1] * 60 * 60;
  }
  return s;
}
/func=sc_sess_open,.* where=open/ {
  O[T] = seconds($1);
}
/func=sc_sess_open,.* where=connect,.* error=/ {
  C[T] = seconds($1);
  D[T] = C[T] - O[T];
  if (Verbose) { print T, O[T], C[T], D[T]; }
  if (T > 2) {
    if (D[3] > D[1]  + 4) { exit 0; }
    exit 1;
  }
  ++T;
}
